package mhp.oee.po.gen;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ResourcePOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resrce
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resrce
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resrce
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public ResourcePOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resrce
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andSiteIsNull() {
            addCriterion("SITE is null");
            return (Criteria) this;
        }

        public Criteria andSiteIsNotNull() {
            addCriterion("SITE is not null");
            return (Criteria) this;
        }

        public Criteria andSiteEqualTo(String value) {
            addCriterion("SITE =", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotEqualTo(String value) {
            addCriterion("SITE <>", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThan(String value) {
            addCriterion("SITE >", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThanOrEqualTo(String value) {
            addCriterion("SITE >=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThan(String value) {
            addCriterion("SITE <", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThanOrEqualTo(String value) {
            addCriterion("SITE <=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLike(String value) {
            addCriterion("SITE like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotLike(String value) {
            addCriterion("SITE not like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteIn(List<String> values) {
            addCriterion("SITE in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotIn(List<String> values) {
            addCriterion("SITE not in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteBetween(String value1, String value2) {
            addCriterion("SITE between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotBetween(String value1, String value2) {
            addCriterion("SITE not between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andResrceIsNull() {
            addCriterion("RESRCE is null");
            return (Criteria) this;
        }

        public Criteria andResrceIsNotNull() {
            addCriterion("RESRCE is not null");
            return (Criteria) this;
        }

        public Criteria andResrceEqualTo(String value) {
            addCriterion("RESRCE =", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotEqualTo(String value) {
            addCriterion("RESRCE <>", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceGreaterThan(String value) {
            addCriterion("RESRCE >", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceGreaterThanOrEqualTo(String value) {
            addCriterion("RESRCE >=", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceLessThan(String value) {
            addCriterion("RESRCE <", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceLessThanOrEqualTo(String value) {
            addCriterion("RESRCE <=", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceLike(String value) {
            addCriterion("RESRCE like", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotLike(String value) {
            addCriterion("RESRCE not like", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceIn(List<String> values) {
            addCriterion("RESRCE in", values, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotIn(List<String> values) {
            addCriterion("RESRCE not in", values, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceBetween(String value1, String value2) {
            addCriterion("RESRCE between", value1, value2, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotBetween(String value1, String value2) {
            addCriterion("RESRCE not between", value1, value2, "resrce");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("DESCRIPTION is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("DESCRIPTION is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("DESCRIPTION =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("DESCRIPTION <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("DESCRIPTION >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("DESCRIPTION >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("DESCRIPTION <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("DESCRIPTION <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("DESCRIPTION like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("DESCRIPTION not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("DESCRIPTION in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("DESCRIPTION not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("DESCRIPTION between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("DESCRIPTION not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andAssetIsNull() {
            addCriterion("ASSET is null");
            return (Criteria) this;
        }

        public Criteria andAssetIsNotNull() {
            addCriterion("ASSET is not null");
            return (Criteria) this;
        }

        public Criteria andAssetEqualTo(String value) {
            addCriterion("ASSET =", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetNotEqualTo(String value) {
            addCriterion("ASSET <>", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetGreaterThan(String value) {
            addCriterion("ASSET >", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetGreaterThanOrEqualTo(String value) {
            addCriterion("ASSET >=", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetLessThan(String value) {
            addCriterion("ASSET <", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetLessThanOrEqualTo(String value) {
            addCriterion("ASSET <=", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetLike(String value) {
            addCriterion("ASSET like", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetNotLike(String value) {
            addCriterion("ASSET not like", value, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetIn(List<String> values) {
            addCriterion("ASSET in", values, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetNotIn(List<String> values) {
            addCriterion("ASSET not in", values, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetBetween(String value1, String value2) {
            addCriterion("ASSET between", value1, value2, "asset");
            return (Criteria) this;
        }

        public Criteria andAssetNotBetween(String value1, String value2) {
            addCriterion("ASSET not between", value1, value2, "asset");
            return (Criteria) this;
        }

        public Criteria andSubAssetIsNull() {
            addCriterion("SUB_ASSET is null");
            return (Criteria) this;
        }

        public Criteria andSubAssetIsNotNull() {
            addCriterion("SUB_ASSET is not null");
            return (Criteria) this;
        }

        public Criteria andSubAssetEqualTo(String value) {
            addCriterion("SUB_ASSET =", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetNotEqualTo(String value) {
            addCriterion("SUB_ASSET <>", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetGreaterThan(String value) {
            addCriterion("SUB_ASSET >", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetGreaterThanOrEqualTo(String value) {
            addCriterion("SUB_ASSET >=", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetLessThan(String value) {
            addCriterion("SUB_ASSET <", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetLessThanOrEqualTo(String value) {
            addCriterion("SUB_ASSET <=", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetLike(String value) {
            addCriterion("SUB_ASSET like", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetNotLike(String value) {
            addCriterion("SUB_ASSET not like", value, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetIn(List<String> values) {
            addCriterion("SUB_ASSET in", values, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetNotIn(List<String> values) {
            addCriterion("SUB_ASSET not in", values, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetBetween(String value1, String value2) {
            addCriterion("SUB_ASSET between", value1, value2, "subAsset");
            return (Criteria) this;
        }

        public Criteria andSubAssetNotBetween(String value1, String value2) {
            addCriterion("SUB_ASSET not between", value1, value2, "subAsset");
            return (Criteria) this;
        }

        public Criteria andLineAreaIsNull() {
            addCriterion("LINE_AREA is null");
            return (Criteria) this;
        }

        public Criteria andLineAreaIsNotNull() {
            addCriterion("LINE_AREA is not null");
            return (Criteria) this;
        }

        public Criteria andLineAreaEqualTo(String value) {
            addCriterion("LINE_AREA =", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaNotEqualTo(String value) {
            addCriterion("LINE_AREA <>", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaGreaterThan(String value) {
            addCriterion("LINE_AREA >", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaGreaterThanOrEqualTo(String value) {
            addCriterion("LINE_AREA >=", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaLessThan(String value) {
            addCriterion("LINE_AREA <", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaLessThanOrEqualTo(String value) {
            addCriterion("LINE_AREA <=", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaLike(String value) {
            addCriterion("LINE_AREA like", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaNotLike(String value) {
            addCriterion("LINE_AREA not like", value, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaIn(List<String> values) {
            addCriterion("LINE_AREA in", values, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaNotIn(List<String> values) {
            addCriterion("LINE_AREA not in", values, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaBetween(String value1, String value2) {
            addCriterion("LINE_AREA between", value1, value2, "lineArea");
            return (Criteria) this;
        }

        public Criteria andLineAreaNotBetween(String value1, String value2) {
            addCriterion("LINE_AREA not between", value1, value2, "lineArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaIsNull() {
            addCriterion("WORK_AREA is null");
            return (Criteria) this;
        }

        public Criteria andWorkAreaIsNotNull() {
            addCriterion("WORK_AREA is not null");
            return (Criteria) this;
        }

        public Criteria andWorkAreaEqualTo(String value) {
            addCriterion("WORK_AREA =", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaNotEqualTo(String value) {
            addCriterion("WORK_AREA <>", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaGreaterThan(String value) {
            addCriterion("WORK_AREA >", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaGreaterThanOrEqualTo(String value) {
            addCriterion("WORK_AREA >=", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaLessThan(String value) {
            addCriterion("WORK_AREA <", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaLessThanOrEqualTo(String value) {
            addCriterion("WORK_AREA <=", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaLike(String value) {
            addCriterion("WORK_AREA like", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaNotLike(String value) {
            addCriterion("WORK_AREA not like", value, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaIn(List<String> values) {
            addCriterion("WORK_AREA in", values, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaNotIn(List<String> values) {
            addCriterion("WORK_AREA not in", values, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaBetween(String value1, String value2) {
            addCriterion("WORK_AREA between", value1, value2, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkAreaNotBetween(String value1, String value2) {
            addCriterion("WORK_AREA not between", value1, value2, "workArea");
            return (Criteria) this;
        }

        public Criteria andWorkshopIsNull() {
            addCriterion("WORKSHOP is null");
            return (Criteria) this;
        }

        public Criteria andWorkshopIsNotNull() {
            addCriterion("WORKSHOP is not null");
            return (Criteria) this;
        }

        public Criteria andWorkshopEqualTo(String value) {
            addCriterion("WORKSHOP =", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopNotEqualTo(String value) {
            addCriterion("WORKSHOP <>", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopGreaterThan(String value) {
            addCriterion("WORKSHOP >", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopGreaterThanOrEqualTo(String value) {
            addCriterion("WORKSHOP >=", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopLessThan(String value) {
            addCriterion("WORKSHOP <", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopLessThanOrEqualTo(String value) {
            addCriterion("WORKSHOP <=", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopLike(String value) {
            addCriterion("WORKSHOP like", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopNotLike(String value) {
            addCriterion("WORKSHOP not like", value, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopIn(List<String> values) {
            addCriterion("WORKSHOP in", values, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopNotIn(List<String> values) {
            addCriterion("WORKSHOP not in", values, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopBetween(String value1, String value2) {
            addCriterion("WORKSHOP between", value1, value2, "workshop");
            return (Criteria) this;
        }

        public Criteria andWorkshopNotBetween(String value1, String value2) {
            addCriterion("WORKSHOP not between", value1, value2, "workshop");
            return (Criteria) this;
        }

        public Criteria andEnabledIsNull() {
            addCriterion("ENABLED is null");
            return (Criteria) this;
        }

        public Criteria andEnabledIsNotNull() {
            addCriterion("ENABLED is not null");
            return (Criteria) this;
        }

        public Criteria andEnabledEqualTo(String value) {
            addCriterion("ENABLED =", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotEqualTo(String value) {
            addCriterion("ENABLED <>", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledGreaterThan(String value) {
            addCriterion("ENABLED >", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledGreaterThanOrEqualTo(String value) {
            addCriterion("ENABLED >=", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLessThan(String value) {
            addCriterion("ENABLED <", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLessThanOrEqualTo(String value) {
            addCriterion("ENABLED <=", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledLike(String value) {
            addCriterion("ENABLED like", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotLike(String value) {
            addCriterion("ENABLED not like", value, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledIn(List<String> values) {
            addCriterion("ENABLED in", values, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotIn(List<String> values) {
            addCriterion("ENABLED not in", values, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledBetween(String value1, String value2) {
            addCriterion("ENABLED between", value1, value2, "enabled");
            return (Criteria) this;
        }

        public Criteria andEnabledNotBetween(String value1, String value2) {
            addCriterion("ENABLED not between", value1, value2, "enabled");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdIsNull() {
            addCriterion("EQP_USER_ID is null");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdIsNotNull() {
            addCriterion("EQP_USER_ID is not null");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdEqualTo(String value) {
            addCriterion("EQP_USER_ID =", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdNotEqualTo(String value) {
            addCriterion("EQP_USER_ID <>", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdGreaterThan(String value) {
            addCriterion("EQP_USER_ID >", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("EQP_USER_ID >=", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdLessThan(String value) {
            addCriterion("EQP_USER_ID <", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdLessThanOrEqualTo(String value) {
            addCriterion("EQP_USER_ID <=", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdLike(String value) {
            addCriterion("EQP_USER_ID like", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdNotLike(String value) {
            addCriterion("EQP_USER_ID not like", value, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdIn(List<String> values) {
            addCriterion("EQP_USER_ID in", values, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdNotIn(List<String> values) {
            addCriterion("EQP_USER_ID not in", values, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdBetween(String value1, String value2) {
            addCriterion("EQP_USER_ID between", value1, value2, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andEqpUserIdNotBetween(String value1, String value2) {
            addCriterion("EQP_USER_ID not between", value1, value2, "eqpUserId");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoIsNull() {
            addCriterion("CONFIGURED_PLC_INFO is null");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoIsNotNull() {
            addCriterion("CONFIGURED_PLC_INFO is not null");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoEqualTo(String value) {
            addCriterion("CONFIGURED_PLC_INFO =", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoNotEqualTo(String value) {
            addCriterion("CONFIGURED_PLC_INFO <>", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoGreaterThan(String value) {
            addCriterion("CONFIGURED_PLC_INFO >", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoGreaterThanOrEqualTo(String value) {
            addCriterion("CONFIGURED_PLC_INFO >=", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoLessThan(String value) {
            addCriterion("CONFIGURED_PLC_INFO <", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoLessThanOrEqualTo(String value) {
            addCriterion("CONFIGURED_PLC_INFO <=", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoLike(String value) {
            addCriterion("CONFIGURED_PLC_INFO like", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoNotLike(String value) {
            addCriterion("CONFIGURED_PLC_INFO not like", value, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoIn(List<String> values) {
            addCriterion("CONFIGURED_PLC_INFO in", values, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoNotIn(List<String> values) {
            addCriterion("CONFIGURED_PLC_INFO not in", values, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoBetween(String value1, String value2) {
            addCriterion("CONFIGURED_PLC_INFO between", value1, value2, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andConfiguredPlcInfoNotBetween(String value1, String value2) {
            addCriterion("CONFIGURED_PLC_INFO not between", value1, value2, "configuredPlcInfo");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andFieldIsNull() {
            addCriterion("FIELD is null");
            return (Criteria) this;
        }

        public Criteria andFieldIsNotNull() {
            addCriterion("FIELD is not null");
            return (Criteria) this;
        }

        public Criteria andFieldEqualTo(String value) {
            addCriterion("FIELD =", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldNotEqualTo(String value) {
            addCriterion("FIELD <>", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldGreaterThan(String value) {
            addCriterion("FIELD >", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldGreaterThanOrEqualTo(String value) {
            addCriterion("FIELD >=", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldLessThan(String value) {
            addCriterion("FIELD <", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldLessThanOrEqualTo(String value) {
            addCriterion("FIELD <=", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldLike(String value) {
            addCriterion("FIELD like", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldNotLike(String value) {
            addCriterion("FIELD not like", value, "field");
            return (Criteria) this;
        }

        public Criteria andFieldIn(List<String> values) {
            addCriterion("FIELD in", values, "field");
            return (Criteria) this;
        }

        public Criteria andFieldNotIn(List<String> values) {
            addCriterion("FIELD not in", values, "field");
            return (Criteria) this;
        }

        public Criteria andFieldBetween(String value1, String value2) {
            addCriterion("FIELD between", value1, value2, "field");
            return (Criteria) this;
        }

        public Criteria andFieldNotBetween(String value1, String value2) {
            addCriterion("FIELD not between", value1, value2, "field");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resrce
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resrce
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}